CVE-2017-2784

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An exploitable free of a stack pointer vulnerability exists in the x509 certificate parsing code of ARM mbed TLS before 1.3.19, 2.x before 2.1.7, and 2.4.x before 2.4.2. A specially crafted x509 certificate, when parsed by mbed TLS library, can cause an invalid free of a stack pointer leading to a potential remote code execution. In order to exploit this vulnerability, an attacker can act as either a client or a server on a network to deliver malicious x509 certificates to vulnerable applications.

References

http://www.talosintelligence.com/reports/TALOS-2017-0274/

https://security.gentoo.org/glsa/201706-18

https://tls.mbed.org/tech-updates/security-advisories/mbedtls-security-advisory-2017-01

Details

Source: MITRE

Published: 2017-04-20

Updated: 2017-07-01

Type: CWE-295

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.2

Severity: HIGH

Tenable Plugins

View all (5 total)

IDNameProductFamilySeverity
101654Fedora 26 : mbedtls (2017-718154e0f2)NessusFedora Local Security Checks
high
100944GLSA-201706-18 : mbed TLS: Multiple vulnerabilities (SLOTH)NessusGentoo Local Security Checks
high
97970Fedora 25 : mbedtls (2017-9ed1b89530)NessusFedora Local Security Checks
high
97969Fedora 24 : mbedtls (2017-922652dd9c)NessusFedora Local Security Checks
high
97905openSUSE Security Update : mbedtls (openSUSE-2017-372)NessusSuSE Local Security Checks
high